// Translation of mdate to Castilian (Spanish)
// This file is distributed under the same license as the mdate package.
// Copyright (C) 1998-2003 Sean Dwyer <ewe2@can.org.au>
// Quique <quique@sindominio.net>, 2003
//
// version 1.4.4

// ============================= Mdate help ===============================

#ifdef STATIC_HELP
static char es_helptext[] __attribute__ ((unused)) =
"\n"
"Mdate muestra fechas mayas simples.\n"
"Sintaxis: mdate [OPCIN]... [+FORMATO]\n"
"   -h, --help                Muestra este mensaje de ayuda y acaba.\n"
"   -V, --version             Muestra este mensaje de ayuda y acaba.\n"
"   -p, --parseable           Salida analizable por un programa\n"
"                             (por omisin: desactivado).\n"
"   -g, --gmt                 Salida analizable por un programa\n"
"                             (por omisin: desactivado).\n"
"   -L, --lang=IDIOMA         cambiar de idioma\n"
"   -c, --correlation=DOBLE   Correlacin opcional (por omisin: no).\n"
"   -d, --dmy=CADENA          Da mes ao (gregoriano).\n"
"   -j, --julian=DOBLE        Nmero de da juliano.\n"
"   -l, --longcount=CADENA    Cuenta larga.\n"
"\n"
"Se aceptan los siguientes identificadores de IDIOMA:\n"
"  en Ingls\n"
"  es Castellano\n"
"  pl Polaco\n"
"  de Alemn\n"
"\n"
"Se aceptan los siguientes identificadores de FORMATO:\n"
"  @a nombre del da de la semana abreviado\n"
"  @A nombre del da de la semana completo\n"
"  @b nombre del mes abreviado\n"
"  @B nombre del mes completo\n"
"  @C siglo como 2 dgitos\n"
"  @d da del mes (01 - 31)\n"
"  @e da del mes sin cero inicial\n"
"  @F fecha gregoriana en formato ISO (%Y-%m-%d)\n"
"  @f fecha gregoriana en formato ISO (%Y%m%d)\n"
"  @h fecha Haab sin relleno\n"
"  @H fecha Haab con relleno\n"
"  @l cuenta larga\n"
"  @M nombre del mes gregoriano\n"
"  @m nmero del mes gregoriano\n"
"  @T fecha Tzolkin con relleno\n"
"  @t fecha Tzolkin sin relleno\n"
"  @y ao como decimal de 00 a 99\n"
"  @Y ao gregoriano\n"
"  @n aadir un salto de lnea a la salida\n"
"  @j aadir un tabulador a la salida\n"
"\n";
#endif

// ============================= Mdate messages ===========================

const char* ES_MSG_CERR = "Mdate: La opcin `--correlation' (`-c') aparece ms de una vez.\n";
const char* ES_MSG_DERR =  "Mdate: La opcin `--dmy' (`-d') aparece ms de una vez.\n";
const char* ES_MSG_JERR = "Mdate: La opcin `--julian' (`-j') aparece ms de una vez.\n";
const char* ES_MSG_LERR = "Mdate: La opcin `--longcount' (`-l') aparece ms de una vez.\n";
const char* ES_MSG_OPTERR = "Mdate: Opcin desconocida: ";
const char* ES_MSG_NONOPTERR = "Demasiados argumentos que no eran opciones.\n";
const char* ES_MSG_LONGERR = "La cuenta larga producida por esta fecha no es vlida.\n";
const char* ES_MSG_GENERR = "Error!\n";
const char* ES_MSG_ILC = "La cuenta larga introducida no es vlida.\n";
const char* ES_MSG_IGD = "La fecha gregoriana introducida no es vlida.\n";
const char* ES_MSG_IJDN = "El nmero de da juliano introducido no es vlido.\n";
const char* ES_MSG_FORMATERR = "Formato desconocido!\n";

// ============================= Mdate formats ============================

static char es_pretty_format[] __attribute__ ((unused)) =
"\n"
"Fecha gregoriana      : @d-@B-@Y (@d/@m/@Y)\n"
"Nmero de da juliano : @J\n"
"Cuenta larga          : @l\n"
"Fecha Tzolkin         : @T\n"
"Fecha Haab            : @h\n";


static char es_default_format[] __attribute__ ((unused)) = "NDJ: @J fecha: @d @m @Y  @l @T @H";


